const express = require('express');
const router = express.Router();
const { signup, login } = require('../controllers/authController');
const validateRequest = require('../middleware/validate');
const userSchemas = require('../validation/userSchema');

router.post('/signup', validateRequest(userSchemas.signup), signup);
router.post('/login', validateRequest(userSchemas.login), login);

module.exports = router;